# Uses of Interface
org.eclipse.net4j.util.properties.IPropertyProvider

Packages that use IPropertyProvider
Package
Description
org.eclipse.net4j.util.properties
A framework to describe and access properties of POJOs and to support Eclipse `property testers` and `IPropertySources` in a uniform way.
org.eclipse.net4j.util.ui
Reusable UI components.

## Uses of IPropertyProvider in org.eclipse.net4j.util.properties

Subinterfaces of IPropertyProvider in org.eclipse.net4j.util.properties
Modifier and Type
Interface
Description
`interface`
`IProperties<RECEIVER>`
Contains a list of `properties`.
Classes in org.eclipse.net4j.util.properties that implement IPropertyProvider
Modifier and Type
Class
Description
`class`
`DefaultPropertyTester<RECEIVER>`
Tests properties of receiver objects against expected values.
`class`
`Properties<RECEIVER>`
Contains a list of `properties`.

## Uses of IPropertyProvider in org.eclipse.net4j.util.ui

Methods in org.eclipse.net4j.util.ui with parameters of type IPropertyProvider
Modifier and Type
Method
Description
`void`
DefaultPropertySource.`addDescriptors(IPropertyProvider<RECEIVER> provider)`
Constructors in org.eclipse.net4j.util.ui with parameters of type IPropertyProvider
Modifier
Constructor
Description
``
`Augmented(RECEIVER object, IPropertyProvider<RECEIVER> provider, AUGMENTING_RECEIVER augmentingObject)`
``
`DefaultActionFilter(IPropertyProvider<RECEIVER> provider)`
``
`DefaultPropertySource(RECEIVER object, IPropertyProvider<RECEIVER> provider)`